

#    MIDAS Access Client  for the  DCARDAccess service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global DCARDAccessServerHost DCARDAccessServerPort

if {[info exists DCARDAccessServerHost] == 0} then {set DCARDAccessServerHost localhost}
if {[info exists DCARDAccessServerPort] == 0} then {set DCARDAccessServerPort 8015}


variable uri "urn:DCARDAccessServer"
variable proxy "http://$DCARDAccessServerHost:$DCARDAccessServerPort/DCARDAccessServer"



SOAP::create DCARDAccessClient__Verbose -proxy $proxy -uri $uri -timeout 1000 \
     -name  AccessServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create DCARDAccessClient__Get -proxy $proxy -uri $uri -timeout 1000 \
     -name Get \
     -params {Address int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DCARDAccessClient__Set -proxy $proxy -uri $uri -timeout 1000 \
     -name Set \
     -params {Address int Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DCARDAccessClient__SetBitRegister -proxy $proxy -uri $uri -timeout 1000 \
     -name SetBitRegister \
     -params {Address int Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply



package provide DCARDAccessClient 1.0
